osl::record::SearchInfo Struct Reference

`#include <searchInfo.h>`

## Public Member Functions

| SearchInfo ()
bool | isValid () const

## Public Attributes

int | value
std::vector< Move > | moves

## Detailed Description

Definition at line 14 of file searchInfo.h.

## Constructor & Destructor Documentation

## SearchInfo()

osl::record::SearchInfo::SearchInfo | ( |  | ) |

inline

Definition at line 18 of file searchInfo.h.

References value.

## Member Function Documentation

## isValid()

bool osl::record::SearchInfo::isValid | ( |  | ) | const

inline

Definition at line 22 of file searchInfo.h.

References moves.

## Member Data Documentation

## moves

std::vector<Move> osl::record::SearchInfo::moves

Definition at line 17 of file searchInfo.h.

Referenced by isValid(), and osl::record::CsaFile::makeInfo().

## value

int osl::record::SearchInfo::value

Definition at line 16 of file searchInfo.h.

Referenced by osl::record::CsaFile::makeInfo(), and SearchInfo().

The documentation for this struct was generated from the following file:

- searchInfo.h